Rasa x reports error when running it

I get the following error:

Rasa X License Agreement
===========================

Do you agree to the Rasa X license agreement (https://storage.cloud.google.com/rasa-x-releases/rasa_x_ce_license_agreem
By typing 'y', you agree to the terms. If you are using this software for a company, by confirming, you acknowledge you
If you do not agree, type 'n' to stop Rasa X.  Yes
Starting Rasa X in local mode... πŸš€
2021-11-25 22:41:40 WARNING  rasax.community.services.insights.insight_service  - No local evaluation result files found.
2021-11-25 22:41:43 ERROR    concurrent.futures  - exception calling callback for <Future at 0x1c7cc2922b0 state=finished raised gaierror>
Traceback (most recent call last):
  File "d:\user\anaconda3\envs\rasa\lib\concurrent\futures\thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "d:\user\anaconda3\envs\rasa\lib\socket.py", line 914, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "d:\user\anaconda3\envs\rasa\lib\concurrent\futures\_base.py", line 328, in _invoke_callbacks
    callback(self)
  File "d:\user\anaconda3\envs\rasa\lib\asyncio\futures.py", line 371, in _call_set_state
    dest_loop.call_soon_threadsafe(_set_state, destination, source)
  File "d:\user\anaconda3\envs\rasa\lib\asyncio\base_events.py", line 756, in call_soon_threadsafe
    self._check_closed()
  File "d:\user\anaconda3\envs\rasa\lib\asyncio\base_events.py", line 504, in _check_closed
    raise RuntimeError('Event loop is closed')
RuntimeError: Event loop is closed
2021-11-25 22:41:43 ERROR    concurrent.futures  - exception calling callback for <Future at 0x1c7cc2927f0 state=finished returned list>
Traceback (most recent call last):
  File "d:\user\anaconda3\envs\rasa\lib\concurrent\futures\_base.py", line 328, in _invoke_callbacks
    callback(self)
  File "d:\user\anaconda3\envs\rasa\lib\asyncio\futures.py", line 371, in _call_set_state
    dest_loop.call_soon_threadsafe(_set_state, destination, source)
  File "d:\user\anaconda3\envs\rasa\lib\asyncio\base_events.py", line 756, in call_soon_threadsafe
    self._check_closed()
  File "d:\user\anaconda3\envs\rasa\lib\asyncio\base_events.py", line 504, in _check_closed
    raise RuntimeError('Event loop is closed')
RuntimeError: Event loop is closed
Traceback (most recent call last):
  File "d:\user\anaconda3\envs\rasa\lib\site-packages\rasa\cli\x.py", line 496, in run_locally
    local.main(
  File "d:\user\anaconda3\envs\rasa\lib\site-packages\rasax\community\local.py", line 257, in main
    common_utils.run_in_loop(model_service.discover_models())
  File "d:\user\anaconda3\envs\rasa\lib\site-packages\rasax\community\utils\common.py", line 900, in run_in_loop
    return loop.run_until_complete(coro)
  File "d:\user\anaconda3\envs\rasa\lib\asyncio\base_events.py", line 608, in run_until_complete
    return future.result()
  File "d:\user\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\model_service.py", line 821, in discover_models
    await model_service.discover_models()
  File "d:\user\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\model_service.py", line 147, in discover_models
    await _run_loop(max_retries, sleep_in_seconds)
  File "d:\user\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\model_service.py", line 133, in _run_loop
    await self._discover_models()
  File "d:\user\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\model_service.py", line 185, in _discover_models
    minimum_version = await self._retry_fetching_minimum_compatible_version()
  File "d:\user\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\model_service.py", line 174, in _retry_fetching_minimum_compatible_version
    minimum_version = await self.minimum_compatible_version()
  File "d:\user\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\model_service.py", line 160, in minimum_compatible_version
    info = await stack_service.version()
  File "d:\user\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\stack_service.py", line 112, in version
    response = await session.get(
  File "d:\user\anaconda3\envs\rasa\lib\site-packages\aiohttp\client.py", line 619, in _request
    break
  File "d:\user\anaconda3\envs\rasa\lib\site-packages\aiohttp\helpers.py", line 656, in __exit__
    raise asyncio.TimeoutError from None
asyncio.exceptions.TimeoutError

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up.
If you need help fixing the issue visit our forum: https://forum.rasa.com/.

and when I run ctrl+c:

Goodbye πŸ‘‹
2021-11-25 23:02:20 ERROR    asyncio  - Task was destroyed but it is pending!
task: <Task pending name='Task-8' coro=<TCPConnector._resolve_host() running at d:\user\anaconda3\envs\rasa\lib\site-packages\aiohttp\connector.py:865> wait_for=<Future pending cb=[_chain_future.<locals>._call_check_cancel() at d:\user\anaconda3\envs\rasa\lib\asyncio\futures.py:357, <TaskWakeupMethWrapper object at 0x000001C7CC292730>()]> cb=[TCPConnector._create_direct_connection.<locals>.drop_exception() at d:\user\anaconda3\envs\rasa\lib\site-packages\aiohttp\connector.py:1002]>
2021-11-25 23:02:20 ERROR    asyncio  - Task was destroyed but it is pending!
task: <Task pending name='Task-9' coro=<TCPConnector._resolve_host() running at d:\user\anaconda3\envs\rasa\lib\site-packages\aiohttp\connector.py:865> wait_for=<Future pending cb=[_chain_future.<locals>._call_check_cancel() at d:\user\anaconda3\envs\rasa\lib\asyncio\futures.py:357, <TaskWakeupMethWrapper object at 0x000001C7CC292BE0>()]> cb=[TCPConnector._create_direct_connection.<locals>.drop_exception() at d:\user\anaconda3\envs\rasa\lib\site-packages\aiohttp\connector.py:1002]>
Exception ignored in: <Finalize object, dead>
Traceback (most recent call last):
  File "d:\user\anaconda3\envs\rasa\lib\multiprocessing\util.py", line 201, in __call__
  File "d:\user\anaconda3\envs\rasa\lib\multiprocessing\heap.py", line 278, in free
AttributeError: 'NoneType' object has no attribute 'getpid'
Exception ignored in: <Finalize object, dead>
Traceback (most recent call last):
  File "d:\user\anaconda3\envs\rasa\lib\multiprocessing\util.py", line 201, in __call__
  File "d:\user\anaconda3\envs\rasa\lib\multiprocessing\popen_spawn_win32.py", line 30, in _close_handles
AttributeError: 'NoneType' object has no attribute 'CloseHandle'
Exception ignored in: <Finalize object, dead>
Traceback (most recent call last):
  File "d:\user\anaconda3\envs\rasa\lib\multiprocessing\util.py", line 201, in __call__
  File "d:\user\anaconda3\envs\rasa\lib\multiprocessing\queues.py", line 192, in _finalize_join
TypeError: 'NoneType' object is not callable
Exception ignored in: <Finalize object, dead>
Traceback (most recent call last):
  File "d:\user\anaconda3\envs\rasa\lib\multiprocessing\util.py", line 201, in __call__
  File "d:\user\anaconda3\envs\rasa\lib\multiprocessing\heap.py", line 278, in free
AttributeError: 'NoneType' object has no attribute 'getpid'
Exception ignored in: <Finalize object, dead>
Traceback (most recent call last):
  File "d:\user\anaconda3\envs\rasa\lib\multiprocessing\util.py", line 201, in __call__
  File "d:\user\anaconda3\envs\rasa\lib\multiprocessing\heap.py", line 278, in free
AttributeError: 'NoneType' object has no attribute 'getpid'
Exception ignored in: <Finalize object, dead>
Traceback (most recent call last):
  File "d:\user\anaconda3\envs\rasa\lib\multiprocessing\util.py", line 201, in __call__
  File "d:\user\anaconda3\envs\rasa\lib\multiprocessing\heap.py", line 278, in free
AttributeError: 'NoneType' object has no attribute 'getpid'
Exception ignored in: <Finalize object, dead>
Traceback (most recent call last):
  File "d:\user\anaconda3\envs\rasa\lib\multiprocessing\util.py", line 201, in __call__
  File "d:\user\anaconda3\envs\rasa\lib\multiprocessing\heap.py", line 278, in free
AttributeError: 'NoneType' object has no attribute 'getpid'

The commands I’ve previously written have been:

conda create --name rasa python==3.8
conda activate rasa
conda install ujson
conda install tensorflow
python -m pip install --upgrade pip
pip install rasa==2.8.12
pip install pip==20.2 --user
pip install rasa-x==0.42.6 --extra-index-url https://pypi.rasa.com/simple

rasa --version:

Rasa Version      :         2.8.15
Minimum Compatible Version: 2.8.9
Rasa SDK Version  :         2.8.3
Rasa X Version    :         0.42.6
Python Version    :         3.8.0
Operating System  :         Windows-10-10.0.19041-SP0
Python Path       :         d:\user\anaconda3\envs\rasa\python.exe

Does anyone know what’s going on?

@Alonso Hello and Welcome to the forum!

Currently rasa 0.42.6 having issue in installing on local machine, if you want to install rasa x I can suggest you some alternative solution so that you can explore the rasa x.

@Alonso First screenshot is the persistent error and rasa team know this issue and working on it.

1 Like

Yes, if you know of an alternative way to work with rasa x I would appreciate the information. Thank you very much! :slightly_smiling_face:

@Alonso please follow this thread Rasa X runs with several Errors & Warnings - #2 by nik202 and you will be able to install rasa x. I hope this will solve your issue.

1 Like

I’ve a question, is there a problem with the version of rasa, i.e. can I install it with pip install rasa==2.8.12 instead of pip install rasa==2.8.1 or would it cause problems?

I’m going to try it now. I hope it works, thanks!

@Alonso I will suggest, first try with mentioned version and then update to later.

1 Like

@Alonso Thanks for locking the solution Pablo, you are my 200th support solution :star_struck:. Hope I will help you further in your rasa learning journey. Best Wishes Nik

1 Like

200? :astonished: Thank you very much for helping us so many times :blush: